# Uses of Interface
org.bukkit.profile.PlayerProfile

Packages that use PlayerProfile
Package
Description
com.destroystokyo.paper.profile
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.profile
Classes relevant to player profiles.

## Uses of PlayerProfile in com.destroystokyo.paper.profile

Subinterfaces of PlayerProfile in com.destroystokyo.paper.profile
Modifier and Type
Interface
Description
`interface`
`PlayerProfile`
Represents a players profile for the game, such as UUID, Name, and textures.

## Uses of PlayerProfile in org.bukkit

Methods in org.bukkit that return PlayerProfile
Modifier and Type
Method
Description
`static @NotNull PlayerProfile`
Bukkit.`createPlayerProfile(@NotNull String name)`
Deprecated.
use `Bukkit.createProfile(String)`
`static @NotNull PlayerProfile`
Bukkit.`createPlayerProfile(@NotNull UUID uniqueId)`
Deprecated.
use `Bukkit.createProfile(UUID)`
`static @NotNull PlayerProfile`
Bukkit.`createPlayerProfile(@Nullable UUID uniqueId, @Nullable String name)`
Deprecated.
use `Bukkit.createProfile(UUID, String)`
`@NotNull PlayerProfile`
Server.`createPlayerProfile(@NotNull String name)`
Deprecated.
use `Server.createProfile(String)`
`@NotNull PlayerProfile`
Server.`createPlayerProfile(@NotNull UUID uniqueId)`
Deprecated.
use `Server.createProfile(UUID)`
`@NotNull PlayerProfile`
Server.`createPlayerProfile(@Nullable UUID uniqueId, @Nullable String name)`
Deprecated.
use `Server.createProfile(UUID, String)`
`@NotNull PlayerProfile`
OfflinePlayer.`getPlayerProfile()`
Gets a copy of the player's profile.

## Uses of PlayerProfile in org.bukkit.block

Methods in org.bukkit.block that return PlayerProfile
Modifier and Type
Method
Description
`@Nullable PlayerProfile`
Skull.`getOwnerProfile()`
Deprecated.
Methods in org.bukkit.block with parameters of type PlayerProfile
Modifier and Type
Method
Description
`void`
Skull.`setOwnerProfile(@Nullable PlayerProfile profile)`
Deprecated.

## Uses of PlayerProfile in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return PlayerProfile
Modifier and Type
Method
Description
`@Nullable PlayerProfile`
SkullMeta.`getOwnerProfile()`
Deprecated.
Methods in org.bukkit.inventory.meta with parameters of type PlayerProfile
Modifier and Type
Method
Description
`void`
SkullMeta.`setOwnerProfile(@Nullable PlayerProfile profile)`
Deprecated.

## Uses of PlayerProfile in org.bukkit.profile

Methods in org.bukkit.profile that return PlayerProfile
Modifier and Type
Method
Description
`@NotNull PlayerProfile`
PlayerProfile.`clone()`
Deprecated.
Methods in org.bukkit.profile that return types with arguments of type PlayerProfile
Modifier and Type
Method
Description
`@NotNull CompletableFuture<? extends PlayerProfile>`
PlayerProfile.`update()`
Deprecated.
Produces an updated player profile based on this profile.